<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "insurer_type_t".
 *
 * @property integer $id
 * @property string $name
 * @property string $code
 * @property string $content
 * @property integer $has_nopay
 * @property string $created_at
 * @property string $updated_at
 */
class InsurerTypeT extends \common\models\Base
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'insurer_type_t';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['has_nopay'], 'integer'],
            [['created_at', 'updated_at'], 'safe'],
            [['name', 'code'], 'string', 'max' => 50],
            [['content'], 'string', 'max' => 200],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'name' => 'Name',
            'code' => 'Code',
            'content' => 'Content',
            'has_nopay' => 'Has Nopay',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
        ];
    }
}
